package cn.com.qmth.examcloud.core.basic.api.controller;

import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.base.util.DateUtil;
import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import io.swagger.annotations.ApiOperation;

/**
 * 测试状态.勿修改或删除
 *
 * @author WANGWEI
 * @date 2018年8月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Transactional
@RestController
@RequestMapping("${$rmp.ctr.basic}")
public class TestController extends ControllerSupport {

	@ApiOperation(value = "测试")
	@GetMapping()
	public String get() {
		return DateUtil.getNowISO();
	}

	@ApiOperation(value = "测试")
	@PostMapping()
	public String post() {
		return DateUtil.getNowISO();
	}

	@ApiOperation(value = "测试")
	@PutMapping()
	public String put() {
		return DateUtil.getNowISO();
	}

	@ApiOperation(value = "测试")
	@DeleteMapping()
	public String delete() {
		return DateUtil.getNowISO();
	}

}
