package cn.com.qmth.examcloud.core.basic.base.enums;

/**
 * 账户类型
 *
 * @author WANGWEI
 * @date 2018年5月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum AccountType {

	/**
	 * 学生学号
	 */
	STUDENT_CODE("学生学号"),

	/**
	 * 学生身份证号
	 */
	STUDENT_IDENTITY_NUMBER("学生身份证号"),

	/**
	 * 学生手机号登录
	 */
	STUDENT_PHONE("学生手机号"),

	/**
	 * 常规登录名（非学生登录）
	 */
	COMMON_LOGIN_NAME("常规登录名");

	// ===========================================================================

	/**
	 * 描述
	 */
	private String desc;

	/**
	 * 构造函数
	 *
	 * @param desc
	 */
	private AccountType(String desc) {
		this.desc = desc;
	}

	/**
	 * @return the desc
	 */
	public String getDesc() {
		return desc;
	}

}
