package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.PrivilegeEntity;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月13日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface PrivilegeRepo
		extends
			JpaRepository<PrivilegeEntity, Long>,
			QueryByExampleExecutor<PrivilegeEntity>,
			JpaSpecificationExecutor<PrivilegeEntity> {

	List<PrivilegeEntity> findAllByGroupIdOrderByWeightDesc(Long groupId);

	List<PrivilegeEntity> findAllByParentId(Long parentId);

	List<PrivilegeEntity> findAllByIdIn(List<Long> idList);

	List<PrivilegeEntity> findAllByCodeIn(List<String> codeList);

}
