package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 角色权限关联
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_ROLE_PRIV_RELATION")
@IdClass(RolePrivilegeRelationPK.class)
public class RolePrivilegeRelationEntity extends JpaEntity {

	private static final long serialVersionUID = 8849214483955278647L;

	@Id
	private Long roleId;

	@Id
	private Long privilegeId;

	@Id
	private Long rootOrgId;

	public Long getRoleId() {
		return roleId;
	}

	public void setRoleId(Long roleId) {
		this.roleId = roleId;
	}

	public Long getPrivilegeId() {
		return privilegeId;
	}

	public void setPrivilegeId(Long privilegeId) {
		this.privilegeId = privilegeId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

}
