package cn.com.qmth.examcloud.core.basic.service;

import java.util.Set;

import cn.com.qmth.examcloud.core.basic.dao.entity.RoleEntity;
import cn.com.qmth.examcloud.core.basic.service.bean.RoleInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月14日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface RolePrivilegeService {

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param rootOrgId
	 * @param roleId
	 * @param privilegeIdSet
	 */
	void updateRolePrivilegeRelations(Long rootOrgId, Long roleId, Long privilegeGroupId,
			Set<Long> privilegeIdSet);

	/**
	 * 保存角色
	 *
	 * @author WANGWEI
	 * @param info
	 * @return
	 */
	RoleEntity saveRole(RoleInfo info);

	/**
	 * 删除角色
	 *
	 * @author WANGWEI
	 * @param info
	 * @param cascade
	 */
	RoleEntity deleteRole(RoleInfo info, boolean cascade);

}
