package cn.com.qmth.examcloud.core.basic.service.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 角色
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class RoleInfo implements JsonSerializable {

	private static final long serialVersionUID = -2167420238674588632L;

	/**
	 * 角色ID
	 */
	private Long id;

	/**
	 * 角色码
	 */
	private String code;

	/**
	 * 角色名称
	 */
	private String name;

	/**
	 * 顶级机构.为null时,为全局角色
	 */
	private Long rootOrgId;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

}
