package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * @Description 专业课程关联
 * @author Administrator
 * @date 2017年8月8号
 */
@Entity
@Table(name = "EC_B_CS_RELATION")
@IdClass(CourseSpeciatlyRelationPK.class)
public class CourseSpeciatlyRelationEntity extends JpaEntity {

	private static final long serialVersionUID = -4747240416438623301L;

	@Id
	private Long courseId;

	@Id
	private Long specialtyId;

	@Column(nullable = true)
	private Long creator;

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public Long getSpecialtyId() {
		return specialtyId;
	}

	public void setSpecialtyId(Long specialtyId) {
		this.specialtyId = specialtyId;
	}

	public Long getCreator() {
		return creator;
	}

	public void setCreator(Long creator) {
		this.creator = creator;
	}

}
